%!TEX root=../../../../thesis.tex
%!TEX file=content/spatial-dynamics/bases-functions/lagrange/natural-frequencies.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsubsection{Natural Frequencies}\label{sec:spatial-dynamics:bases-functions:lagrange:natural-frequencies}

%% Lagrange with varying degree
\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{cosserat-rod--lagrange--natural-frequencies--tension-free}
  \includegraphics[%
      % width=\linewidth,%
    ]{cosserat-rod/lagrange/natural-frequencies/tension-free}
  \tikzexternaldisable%
  \caption{%
    Natural frequencies of the Lagrange polynomial cable with polynomial {degree {$\polydeg \in \numset{3;4;12;20}$}} compared to natural frequencies of the tension-free beam.%
  }
  \label{fig:spatial-dynamics:bases-functions:lagrange:natural-frequencies:varying-degree}
\end{figure}

Lagrange polynomials have only one \gls{DOF} in their definition, which can be understood either as the number of interpolating bases values~$\pathcoord_{\funcindex}$ or as the degree of the interpolating polynomial.
Presumably, the higher the polynomial degree, the better the approximation of natural frequencies must be, however, this does not hold true indeefinitely.
Interestingly though, increasing the polynomial degree from~$\polydeg = 3$ through~$\polydeg = 12$, the error between analytical and numerical natural frequencies decreases for the first~$\polydeg$ frequencies is negative \textIe natural frequencies are overerstimated whereas all higher order natural frequencies aver underestimated.
The overstimation of natural frequencies for higher polynomial degree can be lead back to numerical issues arising from higher powers of small values since~$\pathcoord \in \interval{0}{1}$.

\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{cosserat-rod--lagrange--natural-frequencies--varying-tension}
  \includegraphics[%
      % width=\linewidth,%
    ]{cosserat-rod/lagrange/natural-frequencies/varying-tension}
  \tikzexternaldisable%
  \caption{%
    Natural frequencies of the Lagrange cable with global polynomial degree~$\polydeg = 20$ compared to natural frequencies of the axially loaded beam with tensions in~$\tension*_{\ms{ax}} \in \SIset{0;100;1500;3000}{\newton}$.%
  }
  \label{fig:spatial-dynamics:bases-functions:lagrange:natural-frequencies:varying-tension}
\end{figure}

Fixing the polynomial degree to~$\polydeg = 12$, we evaluate approximation of the natural frequencies of the axially preloaded beam to identify range of validity in terms of the cable tension.
\Cref{fig:spatial-dynamics:bases-functions:lagrange:natural-frequencies:varying-tension} shows convergence of the error in natural frequencies as the axial stress increases from~$\tension*_{\ms{ax}} = \SI{0}{\newton}$ up to~$\tension*_{\ms{ax}} = \SI{3000}{\newton}$.
Even for high axial stress, the approximation is bounded and never crosses the 
threshold of~$10^{0} \equiv 1$ representing a relative error of~$\SI{100}{\percent}$.
In fact, the first~$15$ natural frequencies are approximated with absolute percentage errors of less than~$\SI{5}{\percent}$.
However, the error in higher-order natural frequencies rapidly increases for the~$\nth{16}$ and further natural frequencies.
Lower-order natural frequencies are underestimated by the cable model a maximum of~$\SI{-3}{\percent}$ for mode~$11$.
Since it is physically impossible to operate a \caro without axially preloaded cables, the findings for a tension-free beam are less educative as those with increasing axial pretension.
In the study of increasing axial pretension, a convergence in the error in approximation of natural frequencies can be investigated showing that Lagrange polynomial with a polynomial degree of~$\polydeg = 12$, or equivalently~$13$ interpolating control points suffices for simulation of such cables.
